SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::HTTPConnection::BadResponse Struct Reference

Encapsulates a raw HTTP response and response code. More...

`#include <slikenet/HTTPConnection.h>`

## Public Member Functions

| BadResponse ()
| BadResponse (const unsigned char *_data, int _code)
| BadResponse (const char *_data, int _code)
| operator int () const

## Public Attributes

SLNet::RakString | data
int | code

## Detailed Description

Encapsulates a raw HTTP response and response code.

Definition at line 100 of file HTTPConnection.h.

## Constructor & Destructor Documentation

SLNet::HTTPConnection::BadResponse::BadResponse | ( |  | ) |

inline

Definition at line 103 of file HTTPConnection.h.

SLNet::HTTPConnection::BadResponse::BadResponse | ( | const unsigned char * | _data,
|  | int | _code
| ) |  |

inline

Definition at line 105 of file HTTPConnection.h.

SLNet::HTTPConnection::BadResponse::BadResponse | ( | const char * | _data,
|  | int | _code
| ) |  |

inline

Definition at line 108 of file HTTPConnection.h.

## Member Function Documentation

SLNet::HTTPConnection::BadResponse::operator int | ( |  | ) | const

inline

Definition at line 111 of file HTTPConnection.h.

## Member Data Documentation

int SLNet::HTTPConnection::BadResponse::code

Definition at line 114 of file HTTPConnection.h.

SLNet::RakString SLNet::HTTPConnection::BadResponse::data

Definition at line 113 of file HTTPConnection.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/HTTPConnection.h